跳转到内容

Fibo 2.0 Generate

集成

模型 id bria/fibo-2/generate
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-2/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.04 40 API 积分 在此页面运行

获取 API 密钥
Bria AI 文生图 #text-to-image#image-generation#complex-prompts#structured-prompts

将提示扩展为结构化 VGL 的文生图模型,支持风格预设和参考图模式

Bria AI · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

指定对 'vgl' 进行更改的生成请求。未提供时,会将自由格式描述扩展为 VGL 文档,并包含在响应中。

默认 1:1

约为一百万像素的图像比例。可用比例:1:1, 1:2, 1:3, 1:4, 1:5, 2:1, 2:3, 3:1, 3:2, 3:4, 4:1, 4:3, 4:5, 5:1, 5:4, 9:16, 9:21, 10:16, 16:9, 16:10, 21:9。

高级 image · style · seed · vgl
image_url
拖放文件,或

inspire 模式的参考图像;不能与 `vgl` 组合使用。提供 `prompt` 时,VGL 会从参考图像中获取视觉线索,创建提示场景的新描绘,而不是复现参考图像。不提供 `prompt` 时,VGL 会描述参考图像本身并生成其近似变体。

style

仅与 'prompt' 一起使用的生成图像样式。不支持将样式与 'image_url'、'vgl' 或 'negative_prompt' 组合使用。

默认 5555

控制随机性的种子,用于获得可复现的结果,范围为 0 到 2147483647。

包含结构化 JSON 场景描述的 VGL(Visual Generation Language)文档;接受之前请求返回的文档。不提供 `prompt` 时按原样渲染;提供 `prompt` 时,VGL 会根据提示词优化文档后再渲染。不能与 `image_url` 或 `style` 组合使用。

POST /run/bria/fibo-2/generate?wait=20 报价 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-2/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Fibo 2.0 Generate

根据自由格式的 `prompt` 创建图像,并将其扩展为 VGL 文档后返回。你也可以直接传入 `vgl`,或使用提示对其进行优化,或者提供 `image_url` 作为视觉参考。`style` 提供 Kodak Film、Hard Flash、Hazy Dreamy 和 Rough Realism。`aspect_ratio` 提供 16 个值,并支持 `seed`。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt可选
类型string | null
指定对 'vgl' 进行更改的生成请求。未提供时,会将自由格式描述扩展为 VGL 文档,并包含在响应中。
style可选
类型enum
Kodak FilmHard FlashHazy DreamyRough Realism
仅与 'prompt' 一起使用的生成图像样式。不支持将样式与 'image_url'、'vgl' 或 'negative_prompt' 组合使用。
image_url可选 image
类型url · image
inspire 模式的参考图像;不能与 `vgl` 组合使用。提供 `prompt` 时,VGL 会从参考图像中获取视觉线索,创建提示场景的新描绘,而不是复现参考图像。不提供 `prompt` 时,VGL 会描述参考图像本身并生成其近似变体。
vgl可选
类型object
包含结构化 JSON 场景描述的 VGL(Visual Generation Language)文档;接受之前请求返回的文档。不提供 `prompt` 时按原样渲染;提供 `prompt` 时,VGL 会根据提示词优化文档后再渲染。不能与 `image_url` 或 `style` 组合使用。
vgl.short_description可选
类型string | null
对目标输出图像的简要描述。
vgl.objects可选
类型object[]
默认值[]
以列表形式指定生成图像的内容,记录每个对象的属性及其与其他对象的关系。
vgl.objects[].description可选
类型string | null
目标输出对象的描述。
vgl.objects[].location可选
类型string | null
对象在图像中的位置。
vgl.objects[].relationship必填
类型string
对象与图像中其他对象的关系。
vgl.objects[].relative_size可选
类型string | null
对象相对于图像的尺寸。
vgl.objects[].shape_and_color可选
类型string | null
对象的形状和颜色。
vgl.objects[].texture可选
类型string | null
对象的纹理。
vgl.objects[].appearance_details可选
类型string | null
描述对象外观的详细信息。
vgl.objects[].number_of_objects可选
类型integer | null
图像中的对象数量。
vgl.objects[].pose可选
类型string | null
所描绘对象的姿势。
vgl.objects[].expression可选
类型string | null
所描绘对象的表情。
vgl.objects[].clothing可选
类型string | null
所描绘对象穿着的服装。
vgl.objects[].action可选
类型string | null
所描绘对象执行的动作。
vgl.objects[].gender可选
类型string | null
所描绘对象的性别。
vgl.objects[].skin_tone_and_texture可选
类型string | null
所描绘对象的皮肤纹理和色调。
vgl.objects[].orientation可选
类型string | null
所描绘对象的朝向。
vgl.background_setting可选
类型string | null
生成图像的背景环境。
vgl.lighting可选
类型object
生成图像的照明。
vgl.lighting.conditions可选
类型string | null
生成图像的光照条件。
vgl.lighting.direction可选
类型string | null
生成图像的光照方向。
vgl.lighting.shadows可选
类型string | null
生成图像中要描绘的阴影。
vgl.aesthetics可选
类型object
生成图像的美学特征。
vgl.aesthetics.composition可选
类型string | null
生成图像的构图。
vgl.aesthetics.color_scheme可选
类型string | null
生成图像的调色板。
vgl.aesthetics.mood_atmosphere可选
类型string | null
生成图像的情绪和氛围。
vgl.photographic_characteristics可选
类型object
生成图像的摄影属性。
vgl.photographic_characteristics.depth_of_field可选
类型string | null
生成图像的景深。
vgl.photographic_characteristics.focus可选
类型string | null
生成图像的焦点。
vgl.photographic_characteristics.camera_angle可选
类型string | null
生成图像的相机角度。
vgl.photographic_characteristics.lens_focal_length可选
类型string | null
生成图像的镜头设置,以焦距表示。
vgl.style_medium可选
类型string | null
生成图像的艺术媒介。
vgl.text_render可选
类型object[]
默认值[]
要包含在图像中的文本条目列表。
vgl.text_render[].text必填
类型string
要渲染的文本,也会以图像形式视觉呈现给 fibo-2,以帮助其准确复现所提供的措辞。
vgl.text_render[].location可选
类型string | null
文本在图像中的位置。
vgl.text_render[].size可选
类型string | null
文本在图像中的大小。
vgl.text_render[].color可选
类型string | null
文本使用的颜色。
vgl.text_render[].font可选
类型string | null
文本的字体样式。
vgl.text_render[].appearance_details可选
类型string | null
关于文本外观的其他重要细节。
vgl.context可选
类型string | null
生成图像的上下文。
vgl.artistic_style可选
类型string | null
生成图像的艺术风格。
seed可选
类型integer
默认值5555
0 – 2,147,483,647
控制随机性的种子,用于获得可复现的结果,范围为 0 到 2147483647。
aspect_ratio可选
类型enum
默认值1:1
1:11:21:31:41:52:12:33:13:23:44:14:34:55:15:49:16
另外 5 个9:2110:1616:916:1021:9
约为一百万像素的图像比例。可用比例:1:1, 1:2, 1:3, 1:4, 1:5, 2:1, 2:3, 3:1, 3:2, 3:4, 4:1, 4:3, 4:5, 5:1, 5:4, 9:16, 9:21, 10:16, 16:9, 16:10, 21:9。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-2/generate",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "vgl": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
image
object {url, content_type, file_name, file_size, width, height}模型生成的图像。
images
array of object {url, content_type, file_name, file_size, width, height}与其他 FIBO 应用返回格式匹配的图像列表;唯一条目就是同一张图像。
vgl
object用于生成图像的 VGL。

更多模型:文生图

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bria/fibo-2/generate.md. 所有模型和指南: https://doitong.com/developers/llms.txt